## python-moderngl-window 2.4.2

=== requirements.txt ===
# For quick install of optional requirements in development
# Get the main requirements by installing the package in editable mode:
# pip install -e .

moderngl<6

# Optional
pyglet<2
PySide2<6
PyQt5<6
glfw<2
PySDL2<1
pygame>=2.0.1
pyrr>=0.10
pywavefront>=1.2.0,<2.0
numpy>=1.16
imgui<2

# trimesh
trimesh>=3.2.6
scipy>=1.3.2

# tkinter window
pyopengl>=3.1.0
pyopengltk>=0.0.3

flake8

=== docs/requirements.txt ===
Sphinx==2.2.0
sphinx-rtd-theme==0.4.3
sphinxcontrib-napoleon==0.7
doc8

=== tests/requirements.txt ===
pytest
tox
flake8
coverage

## python-moderngl-window 2.4.1

=== debian/changelog ===
python-moderngl-window (2.4.1-2) unstable; urgency=medium

  * Source only upload.

 -- Timo Röhling <roehling@debian.org>  Sat, 25 Jun 2022 15:56:48 +0200

python-moderngl-window (2.4.1-1) unstable; urgency=medium

  * Initial release (Closes: #1012607)

 -- Timo Röhling <roehling@debian.org>  Fri, 10 Jun 2022 10:36:22 +0200

=== debian/control ===
Source: python-moderngl-window
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-numpy3,
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 libx11-dev <!nocheck>,
 libgl-dev <!nocheck>,
 python3-all,
 python3-moderngl,
 python3-pyglet,
 python3-numpy,
 python3-pil,
 python3-pyrr,
 python3-pytest,
 python3-pywavefront,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/python-team/packages/python-moderngl-window.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-moderngl-window
Homepage: https://github.com/moderngl/moderngl
Rules-Requires-Root: no
Description: Cross-platform utility library for ModernGL
 moderngl_window simplifies window creation and resource loading for
 OpenGL programs. It interoperates with a wide range of toolkits, such as
 pyglet, pygame, PySide2, GLFW, SLD2, and PyQt5 and can be extended with
 custom loaders, resource finders, and windows.

Package: python3-moderngl-window
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-pywavefront,
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python-moderngl-window-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package installs the API documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = moderngl_window
export PYBUILD_TEST_ARGS=-k "not test_docs and not test_stl"
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
export PYBUILD_AFTER_INSTALL=$(CURDIR)/debian/rules make-docs PYTHONPATH=$(CURDIR)/debian/python3-moderngl-window{install_dir}
endif

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	xvfb-run dh_auto_test --buildsystem=pybuild

make-docs:
	sphinx-build -M html $(CURDIR)/docs $(CURDIR)/docs/_build

## python-moderngl-window 2.4.2

=== debian/changelog ===
python-moderngl-window (2.4.2-3) unstable; urgency=medium

  * Use autopkgtest-pkg-pybuild

 -- Timo Röhling <roehling@debian.org>  Sat, 10 Dec 2022 23:22:48 +0100

python-moderngl-window (2.4.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 23:54:14 +0100

python-moderngl-window (2.4.2-1) unstable; urgency=medium

  * New upstream version 2.4.2
  * Fix d/clean
  * Set Sphinx today for reproducible build

 -- Timo Röhling <roehling@debian.org>  Wed, 21 Sep 2022 23:57:55 +0200

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-moderngl-window
 Homepage: https://github.com/moderngl/moderngl
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 Description: Cross-platform utility library for ModernGL
  moderngl_window simplifies window creation and resource loading for
  OpenGL programs. It interoperates with a wide range of toolkits, such as
@@ -56,4 +57,3 @@
  ${source:Extended-Description}
  .
  This package installs the API documentation.
-

=== debian/rules ===
#!/usr/bin/make -f

XVFB_OPTS = --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 +extension GLX -noreset"

export PYBUILD_NAME = moderngl_window
export PYBUILD_TEST_ARGS = --collect-only >/dev/null 2>&1; xvfb-run $(XVFB_OPTS) {interpreter} -m pytest -k "not test_docs and not test_stl"
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
export PYBUILD_AFTER_INSTALL = $(CURDIR)/debian/rules make-docs PYTHONPATH=$(CURDIR)/debian/python3-moderngl-window{install_dir}
endif

%:
	dh $@ --buildsystem=pybuild

BUILD_DATE = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
make-docs:
	sphinx-build -M html $(CURDIR)/docs $(CURDIR)/docs/_build -D today="$(BUILD_DATE)"

## python-moderngl-window 2.4.4

=== debian/changelog ===
python-moderngl-window (2.4.4-1) unstable; urgency=medium

  * New upstream version 2.4.4
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Mon, 12 Jun 2023 22:01:05 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  python3-sphinx-rtd-theme <!nodoc>,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-moderngl-window.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-moderngl-window
 Homepage: https://github.com/moderngl/moderngl

## python-moderngl-window 2.4.5

=== debian/changelog ===
python-moderngl-window (2.4.5-1) unstable; urgency=medium

  * New upstream version 2.4.5
  * Drop obsolete workaround for PYBUILD_TEST_CUSTOM
  * Drop 0001-Use-sphinx.ext.napoleon-instead-of-sphinxcontrib.nap.patch
    (applied upstream)
  * Switch to PEP 517 build

 -- Timo Röhling <roehling@debian.org>  Sun, 15 Oct 2023 15:34:23 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  dh-sequence-sphinxdoc <!nodoc>,
  libx11-dev <!nocheck>,
  libgl-dev <!nocheck>,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-moderngl,
  python3-pyglet,

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1% \
 https://github.com/moderngl/moderngl-window/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-moderngl-window 2.4.6

=== debian/changelog ===
python-moderngl-window (2.4.6-1) unstable; urgency=medium

  * New upstream version 2.4.6

 -- Timo Röhling <roehling@debian.org>  Thu, 11 Apr 2024 10:20:50 +0200

## python-moderngl-window 3.1.1

=== debian/changelog ===
python-moderngl-window (3.1.1-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 3.1.1
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2
  * Replace pyrr by PyGLM

 -- Timo Röhling <roehling@debian.org>  Thu, 06 Nov 2025 15:23:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,23 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Timo Röhling <roehling@debian.org>
+Uploaders:
+ Timo Röhling <roehling@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-numpy3,
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
+ libgl-dev <!nocheck>,
  libx11-dev <!nocheck>,
- libgl-dev <!nocheck>,
  pybuild-plugin-pyproject,
  python3-all,
  python3-moderngl,
- python3-pyglet,
  python3-numpy,
  python3-pil,
- python3-pyrr,
+ python3-pyglet,
+ python3-pyglm,
  python3-pytest,
  python3-pywavefront,
  python3-setuptools,
@@ -25,7 +26,7 @@
  python3-sphinx-rtd-theme <!nodoc>,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-moderngl-window.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-moderngl-window
 Homepage: https://github.com/moderngl/moderngl

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,8 @@
 XVFB_OPTS = --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 +extension GLX -noreset"
 
 export PYBUILD_NAME = moderngl_window
-export PYBUILD_TEST_ARGS = --collect-only >/dev/null 2>&1; xvfb-run $(XVFB_OPTS) {interpreter} -m pytest -k "not test_docs and not test_stl"
+export PYBUILD_TEST_CUSTOM = 1
+export PYBUILD_TEST_ARGS = xvfb-run $(XVFB_OPTS) {interpreter} -m pytest -k "not test_docs and not test_stl"
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 export PYBUILD_AFTER_INSTALL = $(CURDIR)/debian/rules make-docs PYTHONPATH=$(CURDIR)/debian/python3-moderngl-window{install_dir}
 endif

=== debian/watch ===
Version: 5

Template: Github
Owner: moderngl
Project: moderngl-window
